### Signal

# Gegl MetadataStore::parse-value

since: 0.4

#### Declaration

    gboolean
    parse_value (
      GeglMetadataStore* self,
      GObject.ParamSpec* pspec,
      const GValue* value,
      gpointer user_data
    )

#### Description [src]

If a signal handler is connected to `::parse-value` a signal is emitted when the file module accesses a value using gegl_metadata_set_value(). The signal handler should parse the value supplied in the `GValue` and may set any number of metadata values using gegl_metadata_store_set_value().

If no handler is connected the mapped metadata value is set normally,

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
The signal can be detailed
Available since: 0.4

#### Parameters

`pspec`

  Type: `GParamSpec`

  A `GParamSpec` declaring the metadata value.

  The data is owned by the caller of the function.

`value`

  Type: `GValue`

  A `GValue` containing the value to parse.

  The argument will be modified by the function.
  The caller of the function takes ownership of the data, and is responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if parsing is successful.